## sudo 1.8.6p3

=== debian/changelog ===
sudo (1.8.6p3-0ubuntu3.1) saucy-security; urgency=medium

  * debian/sudo.sudo.init, debian/sudo-ldap.sudo.init: Set timestamps to
    epoch in init scripts so they are properly invalidated. (LP: #1223297)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 Mar 2014 08:00:06 -0400

sudo (1.8.6p3-0ubuntu3) raring; urgency=low

  * SECURITY UPDATE: authentication bypass via clock set to epoch
    - debian/patches/CVE-2013-1775.patch: ignore time stamp file if it is
      set to epoch in plugins/sudoers/check.c.
    - CVE-2013-1775

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Feb 2013 13:26:26 -0500

sudo (1.8.6p3-0ubuntu2) raring; urgency=low

  * The latest sssd upload dropped the soname from libsss_sudo.so, so we
    can now drop our sudo delta and just use libsss_sudo.so directly.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 07 Dec 2012 23:11:45 -0500

sudo (1.8.6p3-0ubuntu1) raring; urgency=low

  * New upstream release (1.8.6p3).
  * Add patch to fix building with sssd when ldap is disabled.
  * Drop sudo.manpages and sudo-ldap.manpages as the upstream build system
    now does the right thing here.
  * Build the main sudo package with support for sssd, this doesn't add any
    additional build time or runtime dependency. sudo will dynamically load
    the sssd library if 'sss' is listed for the 'sudoers' nss service.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 16 Nov 2012 09:31:32 -0500

sudo (1.8.5p2-1ubuntu1) quantal; urgency=low

  * Merge from debian/testing (LP: #1024154), remaining changes:
    - debian/patches/keep_home_by_default.patch:
      + Set HOME in initial_keepenv_table.
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets (Ubuntu specific)
      + install man/man8/sudo_root.8 in both flavours (Ubuntu specific)
      + install apport hooks
      + The ubuntu-sudo-as-admin-successful.patch was taken upstream by
        Debian however it requires a --enable-admin-flag configure flag to
        actually enable it in both flavours.
    - debian/control:
      + Mark Debian Vcs-* as XS-Debian-Vcs-*
      + update debian/control
    - debian/sudoers:
      + grant admin group sudo access
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
  * Dropped changes:
    - debian/patches/lp927828-fix-abort-in-pam-modules-when-timestamp-valid.patch
      + Fixed upstream in 1.8.5
    - debian/patches/CVE-2012-2337.patch:
      + Fixed upstream in 1.8.4p5
    - debian/patches/pam_env_merge.patch:
      + Feature released upstream in 1.8.5
    - debian/{sudo,sudo-ldap}.{preinst,postinst,postrm}:
      + Drop Ubuntu-specific sudoers file migration code because the only
        upgrade path to quantal is from precise. All necessary sudoers file
        migration will have already been done by the time this version of the
        sudo package is installed.

 -- Tyler Hicks <tyhicks@canonical.com>  Mon, 16 Jul 2012 14:01:42 +0200

sudo (1.8.3p2-1ubuntu2) quantal; urgency=low

  * debian/patches/pam_env_merge.patch: Merge the PAM environment into the
    user environment (LP: #982684)
  * debian/sudo.pam: Use pam_env to read /etc/environment and
    /etc/default/locale environment files. Reading ~/.pam_environment is not
    permitted due to security reasons.

 -- Tyler Hicks <tyhicks@canonical.com>  Mon, 21 May 2012 00:48:10 -0500

sudo (1.8.3p2-1ubuntu1) quantal; urgency=low

  * Merge from debian/testing, remaining changes:
    - debian/patches/keep_home_by_default.patch:
      + Set HOME in initial_keepenv_table. (rebased for 1.8.3p1)
    - debian/patches/lp927828-fix-abort-in-pam-modules-when-timestamp-valid.patch 
      + Fix Abort in some PAM modules when timestamp is valid. (LP: #927828)
    - debian/patches/CVE-2012-2337.patch: Don't perform IPv6 checks on IPv4
      addresses. Based on upstream patch.
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets (Ubuntu specific)
      + install man/man8/sudo_root.8 in both flavours (Ubuntu specific)
      + install apport hooks
      + The ubuntu-sudo-as-admin-successful.patch was taken upstream by
        Debian however it requires a --enable-admin-flag configure flag to
        actually enable it in both flavours.
    - debian/control:
      + Mark Debian Vcs-* as XS-Debian-Vcs-*
      + update debian/control
    - debian/sudoers: 
      + grant admin group sudo access
    - debian/sudo-ldap.dirs, debian/sudo.dirs: 
      + add usr/share/apport/package-hooks
    - debian/sudo.preinst:
      + avoid conffile prompt by checking for known default /etc/sudoers
        and if found installing the correct default /etc/sudoers file.
        Modified for updated default sudoers. Aproach taken is different
        from Debian. Maybe this should now be dropped, since an LTS was
        released.

  * Dropped changes:
    - debian/patches/CVE-2012-0809.patch:
      + dropped, included in this new upstream release.
    - debian/patches/enable_badpass.patch:
      + dropped as Debian chose to set this by default in the sudoers.  
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 01 May 2012 16:12:45 +0100

sudo (1.8.3p1-1ubuntu5) quantal; urgency=low

  * SECURITY UPDATE: Properly handle netmasks in sudoers Host and Host_List
    values (LP: #1000276)
    - debian/patches/CVE-2012-2337.patch: Don't perform IPv6 checks on IPv4
      addresses. Based on upstream patch.
    - CVE-2012-2337

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 16 May 2012 09:42:17 -0500

sudo (1.8.3p1-1ubuntu4) quantal; urgency=low

  * Fix Abort in some PAM modules when timestamp is valid. (LP: #927828)

 -- TJ (Ubuntu Contributions) <ubuntu@tjworld.net>  Mon, 30 Apr 2012 17:55:27 +0100

sudo (1.8.3p1-1ubuntu3) precise; urgency=low

