## sudo 1.8.8

=== debian/changelog ===
sudo (1.8.8-2b1) staging; urgency=low

  * No-change rebuild against libselinux

 -- Tanglu AutoRebuilder <dak-rebuild@tanglu.org>  Sun, 16 Feb 2014 02:23:56 +0100

sudo (1.8.8-2) unstable; urgency=low

  * fix touch errors on boot, closes: #725193

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Oct 2013 20:11:38 -0600

sudo (1.8.8-1) unstable; urgency=low

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Mon, 30 Sep 2013 23:08:49 -0600

sudo (1.8.8~rc1-1) experimental; urgency=low

  * upstream release candidate with several of our patches folded in
  * set filestamps to epoch instead of an arbitrary old date in the init
    fragment, closes: #722335

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Sep 2013 10:16:58 -0700

sudo (1.8.8~b3-1) experimental; urgency=low

  * pre-release of new upstream version, put in experimental

 -- Bdale Garbee <bdale@gag.com>  Wed, 04 Sep 2013 07:53:08 -0600

sudo (1.8.7-4) unstable; urgency=low

  * looks like we actually need both --with-sssd and --with-sssd-lib,
    closes: #719987, #724763

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Sep 2013 11:48:55 -0600

sudo (1.8.7-3) unstable; urgency=low

  * use --with-sssd-lib to help sudo find libsss-sudo in multiarch path,
    closes: #719987

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Aug 2013 15:38:53 +0200

sudo (1.8.7-2) unstable; urgency=low

  * let debhelper scripts manage the update-rc.d calls, closes: #719755

 -- Bdale Garbee <bdale@gag.com>  Fri, 16 Aug 2013 01:48:23 +0200

sudo (1.8.7-1) unstable; urgency=low

  * new upstream version, closes: #715157, #655879
  * make sudo-ldap package's init.d script be called sudo-ldap
  * add sssd support to sudo, closes: #719574
  * recognize lenny, squeeze, and wheezy unmodified sudoers, closes: #660594

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Aug 2013 00:01:14 +0200
