=== debian/control ===
Source: sudo
Section: admin
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, autotools-dev, bison, flex
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/sudo.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sudo.git

Package: sudo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules
Conflicts: sudo-ldap
Replaces: sudo-ldap
Description: Provide limited super user privileges to specific users
 Sudo is a program designed to allow a sysadmin to give limited root
 privileges to users and log root activity.  The basic philosophy is to give
 as few privileges as possible but still allow people to get their work done.
 .
 This version is built with minimal shared library dependencies, use the
 sudo-ldap package instead if you need LDAP support for sudoers.

Package: sudo-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules
Conflicts: sudo
Replaces: sudo
Provides: sudo
Description: Provide limited super user privileges to specific users
 Sudo is a program designed to allow a sysadmin to give limited root
 privileges to users and log root activity.  The basic philosophy is to give
 as few privileges as possible but still allow people to get their work done.
 .
 This version is built with LDAP support, which allows an equivalent of the
 sudoers database to be distributed via LDAP.  Authentication is still 
 performed via pam.
