=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,6 @@
 		--with-all-insults \
 		--with-pam \
 		--with-fqdn \
-		--with-sssd \
-		--with-sssd-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
 		--with-logging=syslog \
 		--with-logfac=authpriv \
 		--with-env-editor \
@@ -42,13 +40,12 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
-		--without-lecture --with-tty-tickets \
 		--disable-root-mailer \
-		--enable-admin-flag \
 		--with-sendmail=/usr/sbin/sendmail \
 		--with-timedir=/var/lib/sudo \
 		--mandir=/usr/share/man \
 		--libexecdir=/usr/lib/sudo \
+		--with-sssd --with-sssd-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		$(configure_args)
 
 	# LDAP version
@@ -67,9 +64,7 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
-		--without-lecture --with-tty-tickets \
 		--disable-root-mailer \
-		--enable-admin-flag \
 		--disable-setresuid \
 		--with-sendmail=/usr/sbin/sendmail \
 		--with-ldap-conf-file=/etc/sudo-ldap.conf \
@@ -139,16 +134,6 @@
 	install -o root -g root -m 0644 debian/sudo-ldap.lintian \
 		debian/sudo-ldap/usr/share/lintian/overrides/sudo-ldap
 
-	install -o root -g root -m 0644 debian/sudo_root.8 \
-		debian/sudo/usr/share/man/man8/sudo_root.8
-	install -o root -g root -m 0644 debian/sudo_root.8 \
-		debian/sudo-ldap/usr/share/man/man8/sudo_root.8
-
-	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
-		debian/sudo/usr/share/apport/package-hooks/source_sudo.py
-	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
-		debian/sudo-ldap/usr/share/apport/package-hooks/source_sudo.py
-
 	install -o root -g root -m 0440 debian/sudoers \
 		debian/sudo/etc/sudoers
 	install -o root -g root -m 0440 debian/sudoers \
@@ -170,7 +155,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs -A
-	dh_installinit -psudo -psudo-ldap --name=sudo
+	dh_installinit -psudo --name=sudo
+	dh_installinit -psudo-ldap --name=sudo-ldap
 	dh_installman -A
 	dh_installinfo -A
 	dh_installchangelogs ChangeLog
