## sudo 1.8.9p5

=== debian/changelog ===
sudo (1.8.9p5-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
      + install man/man8/sudo_root.8 in both flavours
      + install apport hooks
    - debian/sudoers:
      + also grant admin group sudo access
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
    - debian/control:
      + dh-autoreconf dependency fixes missing-build-dependency-for-dh_-command
    - Remaining patches:
      + keep_home_by_default.patch: Keep HOME in the default environment
      + actually-use-buildflags: Pass LDFLAGS everywhere
      + add_probe_interfaces_setting.diff: option to disable network inf probe
  * add_probe_interfaces_setting.diff: fix to not modify NEWS file.

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Mon, 10 Feb 2014 12:21:53 -0600

sudo (1.8.9p5-1) unstable; urgency=low

  * new upstream release, closes: #735328

 -- Bdale Garbee <bdale@gag.com>  Tue, 04 Feb 2014 11:46:19 -0700

sudo (1.8.9p4-1ubuntu2) trusty; urgency=medium

  * Enable and refresh: actually-use-buildflags: Pass LDFLAGS everywhere
  * Add the ability to disable network interface probing. This fixes
    performance issues with large number of network interfaces (LP: #1272414)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Tue, 28 Jan 2014 05:07:02 -0600

sudo (1.8.9p4-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
      + install man/man8/sudo_root.8 in both flavours
      + install apport hooks
    - debian/sudoers:
      + also grant admin group sudo access
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
    - debian/control:
      + dh-autoreconf dependency fixes missing-build-dependency-for-dh_-command
    - Remaining patches:
      + keep_home_by_default.patch: Keep HOME in the default environment
      + actually-use-buildflags: Pass LDFLAGS everywhere

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Mon, 27 Jan 2014 09:47:58 -0600

sudo (1.8.9p4-1) unstable; urgency=low

  * new upstream release, closes: #732008

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Jan 2014 14:55:25 -0700

sudo (1.8.9p3-1) unstable; urgency=low

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Mon, 13 Jan 2014 14:49:42 -0700

sudo (1.8.9~rc1-1) experimental; urgency=low

  * upstream release candidate

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Dec 2013 21:36:12 -0700

sudo (1.8.9~b2-1) experimental; urgency=low

  * upstream beta release
  * update Debian standards version
  * squelch lintian complaint about missing sudo-ldap systemd service, since 
    the service file is always called 'sudo.service'

 -- Bdale Garbee <bdale@gag.com>  Wed, 25 Dec 2013 14:48:23 -0700

sudo (1.8.9~b1-1) experimental; urgency=low

  * upstream beta release

 -- Bdale Garbee <bdale@gag.com>  Wed, 27 Nov 2013 09:37:00 -0700

sudo (1.8.8-3) unstable; urgency=low

  * document in README.Debian that the sssd support is enabled in the sudo
    package, not in the sudo-ldap package, closes: #728289

 -- Bdale Garbee <bdale@gag.com>  Wed, 30 Oct 2013 10:33:44 -0600

sudo (1.8.8-2ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2013 16:24:49 +0100

sudo (1.8.8-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
      + install man/man8/sudo_root.8 in both flavours
      + install apport hooks
    - debian/sudoers:
      + also grant admin group sudo access
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
    - Remaining patches:
      + keep_home_by_default.patch: Keep HOME in the default environment
      + actually-use-buildflags: Pass LDFLAGS everywhere

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Oct 2013 17:43:37 -0400
