=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: sudo
 Section: admin
 Priority: optional
-Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, autotools-dev, bison, flex
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
+Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, autotools-dev, bison, flex, dh-autoreconf
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/collab-maint/sudo.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sudo.git
