## sudo 1.8.12

=== debian/changelog ===
sudo (1.8.12-1) unstable; urgency=low

  * new upstream version, closes: #772707, #773383
  * patch from Christian Kastner to fix sudoers handling error when moving
    between sudo and sudo-ldap packages, closes: #776137

 -- Bdale Garbee <bdale@gag.com>  Mon, 23 Feb 2015 08:56:06 -0700

sudo (1.8.11p2-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Oct 2014 11:14:06 -0700

sudo (1.8.11p1-2) unstable; urgency=low

  * patch from Jakub Wilk to fix 'ignoring time stamp from the future'
    messages, closes: #762465
  * upstream patch forwarded by Laurent Bigonville that fixes problem with
    Linux kernel auditing code, closes: #764817

 -- Bdale Garbee <bdale@gag.com>  Mon, 20 Oct 2014 11:06:44 -0600

sudo (1.8.11p1-1) unstable; urgency=low

  * new upstream version, closes: #764286
  * fix typo in German translation, closes: #761601

 -- Bdale Garbee <bdale@gag.com>  Fri, 10 Oct 2014 10:16:08 -0600
