=== debian/rules ===
--- 
+++ 
@@ -119,11 +119,11 @@
 		debian/sudo-ldap/usr/share/doc/sudo-ldap/
 	rmdir	debian/sudo-ldap/usr/share/doc/sudo
 
-	# move sample files to the examples folder
-	mv	debian/sudo/usr/share/doc/sudo/sample.* \
-		debian/sudo/usr/share/doc/sudo/examples/
-	mv	debian/sudo-ldap/usr/share/doc/sudo-ldap/sample.* \
-		debian/sudo-ldap/usr/share/doc/sudo-ldap/examples/
+	# move example files to the doc tree per policy
+	mv	debian/sudo/usr/share/examples/sudo \
+		debian/sudo/usr/share/doc/sudo/examples
+	mv	debian/sudo-ldap/usr/share/examples/sudo \
+		debian/sudo-ldap/usr/share/doc/sudo-ldap/examples
 
 	# and install things we do want that make install doesn't know about
 	install -o root -g root -m 0644 debian/sudo.pam \
@@ -162,6 +162,8 @@
 	dh_installman -A
 	dh_installinfo -A
 	dh_installchangelogs ChangeLog 
+	# clear dependency_libs field in .la files
+	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	dh_strip
 	dh_compress
 	dh_fixperms
