=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 		--with-logfac=authpriv \
 		--with-env-editor \
 		--with-editor=/usr/bin/editor \
+		--with-exampledir=/usr/share/doc/sudo/examples \
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
@@ -62,6 +63,7 @@
 		--with-logfac=authpriv \
 		--with-env-editor \
 		--with-editor=/usr/bin/editor \
+		--with-exampledir=/usr/share/doc/sudo-ldap/examples \
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
@@ -119,12 +121,6 @@
 		debian/sudo-ldap/usr/share/doc/sudo-ldap/
 	rmdir	debian/sudo-ldap/usr/share/doc/sudo
 
-	# move example files to the doc tree per policy
-	mv	debian/sudo/usr/share/examples/sudo \
-		debian/sudo/usr/share/doc/sudo/examples
-	mv	debian/sudo-ldap/usr/share/examples/sudo \
-		debian/sudo-ldap/usr/share/doc/sudo-ldap/examples
-
 	# and install things we do want that make install doesn't know about
 	install -o root -g root -m 0644 debian/sudo.pam \
 		debian/sudo/etc/pam.d/sudo
