## sudo 1.8.16

=== debian/changelog ===
sudo (1.8.16-0ubuntu1) xenial; urgency=medium

  * Update to new upstream version 1.8.16. (LP: #1563825)
    - Dropped patches no longer needed:
      + CVE-2015-5602-6.patch
      + CVE-2015-5602-7.patch
  * Merge from Debian unstable. Remaining changes:
    - Use tmpfs location to store timestamp files
      + debian/rules: change --with-rundir to /var/run/sudo
      + debian/rules, debian/sudo.service, debian/sudo.sudo.init: stop
        shipping init script and service file, as they are no longer
        necessary.
      + debian/*.preinst, debian/*.postinst, debian/*.postrm: remove old
        init script with dpkg-maintscript-helper.
      + debian/*.postinst: remove old /var/run/sudo to /var/lib/sudo
        transition code, remove old /var/lib/sudo/ts timestamp directory.
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
      + install man/man8/sudo_root.8 in both flavours
      + install apport hooks
    - debian/sudoers:
      + also grant admin group sudo access
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
    - debian/control:
      + dh-autoreconf dependency fixes missing-build-dependency-for-dh_-command
    - Remaining patches:
      + keep_home_by_default.patch: Keep HOME in the default environment
      + debian/patches/also_check_sudo_group.diff: also check the sudo group
        in plugins/sudoers/sudoers.c to create the admin flag file. Leave the
        admin group check for backwards compatibility.
    - Dropped patches no longer needed:
      + debian/patches/pam_check_untranslated_prompt.patch: upstream.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Mar 2016 08:03:52 -0400

sudo (1.8.12-1ubuntu3) wily; urgency=medium

  * debian/patches/pam_check_untranslated_prompt.patch: also check the un-
    translated version of the prompt when checking if the PAM prompt matches
    "Password:". Patch from Joel Pelaez Jorge. (LP: #1414303)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 22 Sep 2015 11:57:43 -0400

sudo (1.8.12-1ubuntu2) wily; urgency=medium

  * Use tmpfs location to store timestamp files (LP: #1458031)
    - debian/rules: change --with-rundir to /var/run/sudo
    - debian/rules, debian/sudo.service, debian/sudo.sudo.init: stop
      shipping init script and service file, as they are no longer
      necessary.
    - debian/*.preinst, debian/*.postinst, debian/*.postrm: remove old init
      script with dpkg-maintscript-helper.
    - debian/*.postinst: remove old /var/run/sudo to /var/lib/sudo
      transition code, remove old /var/lib/sudo/ts timestamp directory.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Jun 2015 09:31:38 -0400

sudo (1.8.12-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. (LP: #1451274, LP: #1219337)
    Remaining changes:
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
      + install man/man8/sudo_root.8 in both flavours
      + install apport hooks
    - debian/sudoers:
      + also grant admin group sudo access
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
    - debian/control:
      + dh-autoreconf dependency fixes missing-build-dependency-for-dh_-command
    - Remaining patches:
      + keep_home_by_default.patch: Keep HOME in the default environment
      + debian/patches/also_check_sudo_group.diff: also check the sudo group
        in plugins/sudoers/sudoers.c to create the admin flag file. Leave the
        admin group check for backwards compatibility.
  * Dropped patches no longer needed:
      + add_probe_interfaces_setting.diff
      + actually-use-buildflags.diff
      + CVE-2014-9680.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 May 2015 15:43:49 -0400

sudo (1.8.9p5-1ubuntu5) vivid; urgency=medium

  * SECURITY UPDATE: arbitrary file access via TZ
    - debian/patches/CVE-2014-9680.patch: sanity check TZ env variable in
      configure, configure.ac, doc/sudoers.cat, doc/sudoers.man.in,
      doc/sudoers.mdoc.in, m4/sudo.m4, pathnames.h.in,
      plugins/sudoers/env.c.
    - CVE-2014-9680

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Mar 2015 10:45:21 -0400

sudo (1.8.9p5-1ubuntu4) vivid; urgency=medium

  * Correct sudo.pam use "session" for pam_env.so, not "auth". (LP:
    #155794, LP: #25700)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Tue, 23 Dec 2014 04:08:33 +0000

sudo (1.8.9p5-1ubuntu3) vivid; urgency=medium

  * debian/patches/also_check_sudo_group.diff: also check the sudo group
    in plugins/sudoers/sudoers.c to create the admin flag file. Leave the
    admin group check for backwards compatibility. (LP: #1387347)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 Oct 2014 15:55:34 -0400

sudo (1.8.9p5-1ubuntu2) utopic; urgency=medium

  * debian/sudo_root.8: mention sudo group instead of deprecated group
    admin (LP: #1130643)

 -- Andrey Bondarenko <abondarenko@users.sourceforge.net>  Sat, 23 Aug 2014 01:18:05 +0600
