=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: sudo
 Section: admin
 Priority: optional
-Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, autotools-dev, bison, flex, libaudit-dev [linux-any]
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
+Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, autotools-dev, bison, flex, libaudit-dev [linux-any], dh-autoreconf
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/sudo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sudo.git
