## sudo 1.8.19p1

=== debian/changelog ===
sudo (1.8.19p1-2.1+deb9u6) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * Fix CVE-2023-28486: Sudo did not escape control characters
    in log messages.
  * Fix CVE-2023-28487: Sudo did not escape control characters
    in sudoreplay output.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 26 Jan 2024 15:45:59 +0000

sudo (1.8.19p1-2.1+deb9u5) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2023-22809
    sudoedit: do not permit editor arguments to include "--"

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Jan 2023 21:03:02 +0100

sudo (1.8.19p1-2.1+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the Debian ELTS Team.
  * CVE-2021-23239: Prevent an issue where a local unprivileged user may have
    been able to perform arbitrary directory-existence tests by exploiting a
    race condition in sudoedit by replacing a user-controlled directory by a
    symlink to an arbitrary path.

 -- Chris Lamb <lamby@debian.org>  Wed, 09 Nov 2022 08:21:29 +0000

sudo (1.8.19p1-2.1+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Heap-based buffer overflow (CVE-2021-3156)
    - Reset valid_flags to MODE_NONINTERACTIVE for sudoedit
    - Add sudoedit flag checks in plugin that are consistent with front-end
    - Fix potential buffer overflow when unescaping backslashes in user_args
    - Fix the memset offset when converting a v1 timestamp to TS_LOCKEXCL
    - Don't assume that argv is allocated as a single flat buffer

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 23 Jan 2021 10:10:33 +0100

sudo (1.8.19p1-2.1+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix a buffer overflow when pwfeedback is enabled and input is a not a tty
    (CVE-2019-18634) (Closes: #950371)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 31 Jan 2020 22:10:55 +0100

sudo (1.8.19p1-2.1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Treat an ID of -1 as invalid since that means "no change" (CVE-2019-14287)
  * Fix test failure in plugins/sudoers/regress/testsudoers/test5.sh

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Oct 2019 16:20:21 +0200

sudo (1.8.19p1-2.1) stretch; urgency=high

  * Non-maintainer upload.
  * Use /proc/self consistently on Linux
  * CVE-2017-1000368: Arbitrary terminal access (Closes: #863897)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 05 Jun 2017 14:22:55 +0200

sudo (1.8.19p1-2) stretch; urgency=high

  * patch from upstream to fix CVE-2017-1000367, closes: #863731

 -- Bdale Garbee <bdale@gag.com>  Tue, 30 May 2017 22:35:01 -0600

sudo (1.8.19p1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 13 Jan 2017 11:12:49 -0700

sudo (1.8.19-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 19 Dec 2016 13:00:21 -0700

sudo (1.8.18p1-2) unstable; urgency=medium

  * merge work done by Balint Reczey in parallel / conflict with my offline work

 -- Bdale Garbee <bdale@gag.com>  Thu, 15 Dec 2016 19:08:46 -0700

sudo (1.8.18p1-1) unstable; urgency=medium

  * new upstream version
  * explicitly depend on lsb-base since we use init-functions
  * move to latest debhelper compat level

 -- Bdale Garbee <bdale@gag.com>  Thu, 15 Dec 2016 18:10:29 -0700

sudo (1.8.17p1-2) unstable; urgency=medium

  * merge 1.8.15-1.1 NMU changes 

 -- Bdale Garbee <bdale@gag.com>  Tue, 05 Jul 2016 16:01:55 +0200

sudo (1.8.17p1-1) unstable; urgency=low

  * new upstream version, closes: #805563
  * build-depend on the new mandoc package so we can rebuild man pages 
    properly if needed, closes: #809984

 -- Bdale Garbee <bdale@gag.com>  Tue, 05 Jul 2016 16:01:55 +0200
